<?php
/**
* @package   Gridbox
* @author    Balbooa http://www.balbooa.com/
* @copyright Copyright @ Balbooa
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

ob_start();
/**
 * @var string $classname
 * @var string $key
 * @var string $target
 * @var string $content
 * @var string $childClass
 * @var string $title
 */
include 'link-content.php';
?>
<li class="<?php echo $classname; ?>" data-ind="<?php echo $key; ?>"
    <?php echo !empty($context) ? ('data-context="' . $context . '"') : ''; ?>>
<?php
if (!empty($link)) {
?>
    <a href="<?php echo $link; ?>" target="<?php echo $target; ?>">
        <?php echo $content; ?>
    </a>
<?php
} else {
?>
    <span>
        <?php echo $content; ?>
    </span>
<?php
}
if (!empty($children)) {
?>
    <ul class="<?php echo $childClass; ?>"><?php echo $children; ?></ul>
<?php
} else if (empty($context)) {
?>
    <span class="ba-tooltip ba-right ba-hide-element"><?php echo $title; ?></span>
<?php
}
?>
    
    
</li>

<?php

$out = ob_get_clean();